.kanban-board-container {
  display: flex;
  width: 100%;
  height: calc(100vh - 90px);
}

.kanban-board-content {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  margin: 0;
  overflow: auto;
  width: 100%;
  height: calc(100vh - 90px);
  gap: 5px;
}

.column-container {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  flex: 1;
  min-width: 240px;
  border-left: 1px dashed var(--gray);
  border-right: 1px dashed var(--gray);
}

.column-title {
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 600;
  user-select: none;
  background: var(--blue);
  color: #fff;
  width: 100%;
  min-height: 75px;
  padding: 0 5px;
  text-align: center;
}

.column-sum {
  font-size: 20px;
  font-weight: 300;
  color: #666;
  width: 100%;
  min-height: 40px;
  text-align: center;
  line-height: 40px;
  user-select: none;
}

.column-data {
  display: flex;
  flex-flow: wrap;
  justify-content: center;
  align-items: flex-start;
  align-content: flex-start;
  width: 100%;
  background: #fff;
  height: 100%;
  overflow: auto;
  gap: 15px;
  padding: 10px 5px
}

.column-data::-webkit-scrollbar-button {
  width: 4px;
  height: 0px;
}
.column-data::-webkit-scrollbar-thumb {
  -webkit-border-radius: 0px;
  border-radius: 0px;
  background-color: rgba(145, 194, 246, 0.5);
}
.column-data::-webkit-resizer {
  width: 4px;
  height: 0px;
}
.column-data::-webkit-scrollbar {
  width: 4px;
}

.column-card {
  display: flex;
  flex-direction: row;
  min-height: 100px;
  height: fit-content;
  width: 100%;
  background: #fff;
  border: 1px solid var(--gray);
  border-radius: 3px;
  overflow: hidden;
  padding: 5px;
  user-select: none;
}

.card-data {
  width: calc(100% - 30px);
}

.card-action {
  width: 30px;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  gap: 10px;
}

.column-card-block {
  color: #333;
  font-size: 12px;
  transition: 0.3s;
  cursor: pointer;
  display: flex;
  gap: 5px;
  overflow: hidden;
}

.column-card-block.title {
  color: #333;
  font-size: 14px;
  transition: 0.3s;
  cursor: pointer;
  margin-bottom: 10px;
}

.column-card-block.title:hover {
  color: #1e87f0;
}

.column-card-block.sum {
  color: #666;
  font-size: 12px;
  margin-bottom: 5px;
}

.column-card-block.reglink {
  color: #1e87f0;
  font-size: 12px;
  display: flex;
  gap: 5px;
  transition: 0.3s;
  cursor: pointer;
}

.column-card-block.reglink:hover {
  text-decoration: underline;
}

.column-card-block.user {
  color: #999;
  font-size: 12px;
  display: flex;
  gap: 5px;
  margin-top: 3px;
}

.column-get-rows-button {
  display: block;
  margin: 10px;
  user-select: none;
  cursor: pointer;
  transition: 0.3s;
  letter-spacing: 3px;
  font-size: 12px;
  font-family: monospace;
}

.column-get-rows-button:hover {
  color: var(--blue);
  letter-spacing: 5px;
}

.board-context-menu {
  position: absolute;
  display: none;
  background-color: #fff;
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.2);
  padding: 0px;
  min-width: 200px;
  width: auto;
}

.board-context-menu ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.board-context-menu ul li {
  margin: 0;
  padding: 0;
  background-color: #fff;
  display: block;
}

.board-context-menu ul li a {
  color: #555;
  padding: 10px;
}

.board-context-menu ul li a:hover {
  background-color: rgb(255, 165, 0, 0.3);
}

.board-context-menu ul .uk-disabled a {
  color: #dedede;
}

.custom-checkbox {
  display: block;
  position: relative;
  cursor: pointer;
  height: 25px;
  width: 25px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.custom-checkbox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.custom-checkbox .checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  background-color: #eee;
  border: 1px solid #cfcfcf;
}

.custom-checkbox:hover input ~ .checkmark {
  background-color: #ccc;
}

.custom-checkbox input:checked ~ .checkmark {
  background-color: #2196F3;
  border-color: #2196F3;
}

.custom-checkbox .checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.custom-checkbox input:checked ~ .checkmark:after {
  display: block;
}

.custom-checkbox .checkmark:after {
  left: 8px;
  top: 3px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
